Vulnerability & Exploit Database

Back to search

USN-1202-1: Linux kernel (OMAP4) vulnerabilities

Severity CVSS Published Added Modified
8 (AV:N/AC:L/Au:N/C:N/I:N/A:C) June 21, 2012 May 06, 2013 July 04, 2017

Description

The rose_parse_ccitt function in net/rose/rose_subr.c in the Linux kernel before 2.6.39 does not validate the FAC_CCITT_DEST_NSAP and FAC_CCITT_SRC_NSAP fields, which allows remote attackers to (1) cause a denial of service (integer underflow, heap memory corruption, and panic) via a small length value in data sent to a ROSE socket, or (2) conduct stack-based buffer overflow attacks via a large length value in data sent to a ROSE socket.

Scan For This Vulnerability

Use our top-rated tool to discover, prioritize, and remediate your vulnerabilities

 Free InsightVM Trial

References

Solution

ubuntu-upgrade-linux-image-2-6-35-903-omap4

Related Vulnerabilities